package com.meterware.xml;
/********************************************************************************************************************
 *
 * Copyright (c) 2003, Russell Gold
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated
 * documentation files (the "Software"), to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and
 * to permit persons to whom the Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all copies or substantial portions
 * of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO
 * THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF
 * CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE.
 *
 *******************************************************************************************************************/
import java.util.List;

/**
 * @author <a href="mailto:russgold@gmail.com">Russell Gold</a>
 */
public abstract class WriteableXMLElementBase implements WriteableXMLElement {

    public String[] getAttributeNames() {
        return new String[0];
    }


    public boolean isExplicitAttribute(String attributeName) {
        return true;
    }


    public String[] getNestedElementNames() {
        return new String[0];
    }


    public WriteableXMLElement[] getNestedElements(String elementName) {
        return new WriteableXMLElement[0];
    }


    public String getContents() {
        return null;
    }


    static public WriteableXMLElement[] toArray(List list) {
        return (WriteableXMLElement[]) list.toArray(new WriteableXMLElement[list.size()]);
    }

}
